Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000141Core InformRelationspublic2010-06-28 21:532010-07-01 23:07
Reporterhector 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000141: "internal error -- too late now to defer propositions" from generalized conditional relations
DescriptionAn internal error occurs when attempting to define a relation using a condition, and the condition includes a general term (such as 'someone' or 'some person'). For instance, suppose that I have already defined a desiring relation and I now attempt to define a jealousy relation:

Jealousy relates a person (called X) to a person (called Y) when someone desires Y.

I have included the source text below. Here is the problem report:

"This is the report produced by Inform 7 (build 6E59) on its most recent run through:

Problem. An internal error has occurred: Too late now to defer propositions. The current sentence is 'Jealousy relates a person (called X) to a person (called Y) when someone desires Y' ; the error was detected at line 66 of "Chapter 14/Deciding to Defer.w". This should never happen, and I am now halting in abject failure."
Minimal Source Text To Reproduce
The test is a room. 

Attraction relates various people to various people. The verb to 
desire (he desires, they desire, he desired, he is desired) implies 
the attraction relation. 

Jealousy relates a person (called X) to a person (called Y) when someone 
    desires Y. The verb to be jealous of implies the jealousy relation. 
Additional InformationThe same error occurs when the last paragraph of the source is replaced with:

<code>
Jealousy relates a person (called X) to a person (called Y) when X
    desires someone.
</code>

The problem does not occur when I use a phrase to decide whether a relation holds between two terms:

<code>
To decide whether (X - a person) is jealous of (Y - a person):
        if X desires someone (called Z) and Y desires Z, yes.
</code>
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0000175)
graham (administrator)
2010-06-29 11:37

A tangled little timing issue. Fixed.

- Issue History
Date Modified Username Field Change
2010-06-28 21:53 hector New Issue
2010-06-28 22:08 jmcgrew Status new => confirmed
2010-06-28 22:08 jmcgrew Product Version => 6E59
2010-06-28 22:08 jmcgrew Summary An "internal error -- too late now to defer propositions Options" message occurs when defining relations. => "internal error -- too late now to defer propositions" from generalized conditional relations
2010-06-28 22:08 jmcgrew Description Updated View Revisions
2010-06-28 22:08 jmcgrew Steps to Reproduce Updated View Revisions
2010-06-28 22:08 jmcgrew Additional Information Updated View Revisions
2010-06-29 11:37 graham Note Added: 0000175
2010-06-29 11:37 graham Status confirmed => resolved
2010-06-29 11:37 graham Resolution open => fixed
2010-06-29 11:37 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker